# sdmcli

[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/ambv/black)
[![PyPI version](https://badge.fury.io/py/sdmcli.svg)](https://badge.fury.io/py/sdmcli)

$ave Dat Money: a command line application to track your expenses.

![](sdm.gif)

## Installation

```
pip install sdmcli
```

## Usage

```
sdm -h
```

## Development

Create virtual environment and install requirements:
```
bin/setup_venv
```

Seed database:
```
bin/seed_db
```

### Other commands

Run command in virtual environment:
```
bin/run <command>
```

Install requirements:
```
bin/install_requirements
```

Format codebase:
```
bin/format
```

Lint codebase:
```
bin/lint
```

Run unit tests:
```
bin/test
```

## Publish

Package and distribute:
```
bin/publish
```
