"""
See:
https://packaging.python.org/guides/distributing-packages-using-setuptools/
https://packaging.python.org/en/latest/distributing.html
https://github.com/pypa/sampleproject
"""

from os import path

from setuptools import setup


def read(filename):
    with open(path.join(path.dirname(__file__), filename), encoding="utf-8") as f:
        return f.read()


setup(
    name="sdmcli",
    version="0.1.0",
    description="$ave Dat Money: a command line application to track your expenses.",
    long_description=read("README.md"),
    long_description_content_type="text/markdown",
    url="https://github.com/olivertso/sdmcli",
    author="Oliver Tso",
    author_email="",
    classifiers=["License :: OSI Approved :: MIT License"],
    packages=["sdmcli"],
    install_requires=read("requirements.in").splitlines(),
    entry_points={"console_scripts": ["sdm=sdmcli.__main__:main"]},
    python_requires=">=3.7",
)
